"use client";

import dynamic from "next/dynamic";
import { Suspense } from "react";
import SectionWrapper from "./components/SectionWrapper";

const SimpleMap = dynamic(() => import("../../common/map/SimpleMap"), {
  ssr: false,
});
const MapSection = ({ content }) => {
  if (!content) return null;
  return (
    <SectionWrapper content={content}>
      <div className="w-full h-[450px] lg:h-[330px]  border border-border-main rounded-2xl overflow-hidden ">
        <Suspense fallback={<p>در حال آماده سازی نقشه</p>}>
          <SimpleMap center={content?.coordinates?.split(",")} />
        </Suspense>
      </div>
    </SectionWrapper>
  );
};

export default MapSection;
